
From: Christoph Hellwig <hch@lst.de>

Only select AGP on those architectures which actually support it.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/agp/Kconfig |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/char/agp/Kconfig~fix-config_agp-depencies drivers/char/agp/Kconfig
--- 25/drivers/char/agp/Kconfig~fix-config_agp-depencies	2005-01-16 23:19:52.269676528 -0800
+++ 25-akpm/drivers/char/agp/Kconfig	2005-01-16 23:19:52.272676072 -0800
@@ -1,5 +1,6 @@
 config AGP
-	tristate "/dev/agpgart (AGP Support)" if !GART_IOMMU && !M68K && !ARM
+	tristate "/dev/agpgart (AGP Support)" if !GART_IOMMU
+	depends on ALPHA || IA64 || PPC32 || X86
 	default y if GART_IOMMU
 	---help---
 	  AGP (Accelerated Graphics Port) is a bus system mainly used to
_
